package cn.yw.machinemanage.dao;
import java.sql.SQLException;
import java.util.List;
import java.util.Map;

import javax.annotation.PostConstruct;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.orm.ibatis.support.SqlMapClientDaoSupport;
import org.springframework.stereotype.Repository;

import com.ibatis.sqlmap.client.SqlMapClient;

import cn.base.dao.BaseSqlMapDAO;

@Repository("ywmachinememoryDao")
public class YwmachinememoryDao  extends BaseSqlMapDAO{
	
	/**
	 * 增加记录
	 */
	
	public void insert_Ywmachinememory(Map map) throws SQLException{
		this.insert("insert_Ywmachinememory",map);
	}
	
	
	/**
	 * 批处理增加记录
	 */
	/*
	public void batch_insert_Ywmachinememory(List batch) throws SQLException{
		this.insert("batch_insert_Ywmachinememory",batch);
	}
	*/
	 
	/**
	 * 修改记录
	 */
	
	public Integer update_Ywmachinememory(Map map) throws SQLException{
		return this.update("update_Ywmachinememory",map);
	}
	
	
	/**
	 * 删除记录
	 */
	
	public Integer delete_Ywmachinememory(Map map) throws SQLException{
		return this.delete("delete_Ywmachinememory",map);
	}
	
	
	/**
	 * 批处理删除记录
	 */
	
	
	public Integer batch_delete_Ywmachinememory(Map map) throws SQLException{
		return this.delete("batch_delete_Ywmachinememory",map);
	}
	
	
	/**
	 * 查询总数
	 */
	
	public Integer count_Ywmachinememory(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_Ywmachinememory",map);
	}
	
	
	/**
	 * 查询列表记录
	 */
	
	
	public List<Map> query_Ywmachinememory(Map map) throws SQLException{
		return this.queryForPage("query_Ywmachinememory",map);
	}
	
	
	/**
	 * 查询列表记录
	 */
	
	public Map get_Ywmachinememory(Map map) throws SQLException{
		return (Map) this.queryForObject("query_Ywmachinememory",map);
	}
	
	// 更新
	public Integer edit_Ywmachinememory(Map map) throws SQLException{
		return this.update("edit_Ywmachinememory",map);
	}
}
